Package org.apache.commons.imaging.formats.tiff.photometricinterpreters

## Class PhotometricInterpreterBiLevel

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter
  - - org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreterBiLevel

-     public class PhotometricInterpreterBiLevel
      extends PhotometricInterpreter

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter

      `height, predictor, samplesPerPixel, width`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhotometricInterpreterBiLevel​(int samplesPerPixel, int[] bitsPerSample, int predictor, int width, int height, boolean invert)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `interpretPixel​(ImageBuilder imageBuilder, int[] samples, int x, int y)` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreter

      `getBitsPerSample`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhotometricInterpreterBiLevel

          public PhotometricInterpreterBiLevel​(int samplesPerPixel,
                                               int[] bitsPerSample,
                                               int predictor,
                                               int width,
                                               int height,
                                               boolean invert)

  - ### Method Detail

    - #### interpretPixel

          public void interpretPixel​(ImageBuilder imageBuilder,
                                     int[] samples,
                                     int x,
                                     int y)
                              throws ImageReadException,
                                     IOException

      Specified by:
        `interpretPixel` in class `PhotometricInterpreter`
      Throws:
        `ImageReadException`
        `IOException`